/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cd.hologram.erecettesvg.sql;

/**
 *
 * @author gauthier.muata
 */
public class SQLQueryPaiement {

    public static String LIST_PAIEMENT_JOURNAL_MASTER_QUERY = "SELECT a.* FROM T_JOURNAL a WITH (READPAST) WHERE a.ETAT %s";

    public static String LIST_PAIEMENT_JOURNAL_SECONDE_QUERY_ONE = " AND a.PERSONNE IN (SELECT b.CODE FROM T_PERSONNE b WITH (READPAST) "
            + " WHERE (b.NOM LIKE ?1 OR b.POSTNOM LIKE ?1 OR b.PRENOMS LIKE ?1))";

    public static String LIST_PAIEMENT_JOURNAL_SECONDE_QUERY_TWO_LIST = " AND a.SITE IN (?2)";

    public static String LIST_PAIEMENT_JOURNAL_SECONDE_QUERY_TWO = " AND a.DOCUMENT_APURE = ?1";

    public static String SELECT_ETAT_BY_CODE = "SELECT * FROM T_ETAT WITH (READPAST) WHERE CODE = ?1";

    public static String SELECT_JOURNAL_BY_CODE = "SELECT * FROM T_JOURNAL WITH (READPAST) WHERE CODE = ?1";

    public static String SELECT_NOTE_PERCEPTION_BY_CODE = "SELECT * FROM T_NOTE_PERCEPTION WITH (READPAST) WHERE NUMERO = ?1";

    public static String SELECT_AGENT_BY_ID = "SELECT * FROM T_AGENT WITH (READPAST) WHERE CODE = ?1";
    public static String SELECT_REQUERANT_BY_ID = "SELECT * FROM T_PERSONNE WITH (READPAST) WHERE CODE = ?1";

    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY1 = " AND DBO.FDATE(a.DATE_CREAT) BETWEEN ?1 AND ?2 ";
    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY1S = " AND DBO.FDATE(a.DATE_CREAT) BETWEEN ?1 AND ?2 %s";

    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY2 = " AND a.SITE = ?3 ";
    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY2S = " AND a.SITE = ?3 %s";

    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY3 = " AND a.COMPTE_BANCAIRE = ?4 ";
    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY3S = " AND a.COMPTE_BANCAIRE = ?4 %s";

    public static String LIST_PAIEMENT_JOURNAL_ADVENCED_QUERY4 = " AND a.COMPTE_BANCAIRE IN (SELECT b.CODE FROM T_COMPTE_BANCAIRE b WITH (READPAST) "
            + " WHERE b.BANQUE = ?5 )";

    public static String F_APPUREMENT_JOURNAL = ":EXEC F_APPUREMENT_JOURNAL ?1,?2,?3,?4,?5,?6";

    public static String F_APUREMENT_COMPTABLE = ":UPDATE T_JOURNAL SET ETAT = ?1, OBSERVATION = ?2 WHERE CODE = ?3";

    public static String F_NEW_JDOSSIER = ":EXEC F_NEW_JDOSSIER ?1,?2,?3,?4,?5,?6,?7,?8";
    public static String F_NEW_JDOSSIER_V2 = ":EXEC F_NEW_JDOSSIER_V2 ?1,?2,?3,?4,?5,?6";

    public static String F_NEW_SUIVI_DECLARATION = ":EXEC F_NEW_SUIVI_DECLARATION ?1,?2,?3,?4,?5,?6,?7 ";

    public static String EXEC_F_NEW_BORDEREAU = "EXEC F_NEW_BORDEREAU ?1,?2,?3,?4,?5,?6,?7,?8,?9,?10,?11,?12";
    public static String EXEC_F_NEW_BORDEREAU_OUTPUT = "F_NEW_BORDEREAU";

    public static String EXEC_F_NEW_DETAIL_BORDEREAU = ":EXEC F_NEW_DETAIL_BORDEREAU ?1,?2,?3,?4,?5,?6 ";

    public static String SELECT_BORDEREAU_BY_REFERENCE_PAIEMENT = "SELECT * FROM T_BORDEREAU WITH (READPAST) "
            + " WHERE NUMERO_BORDEREAU = ?1 AND COMPTE_BANCAIRE = ?2";

    public static String SELECT_JOURNAL_BY_REFERENCE_PAIEMENT = "SELECT * FROM T_JOURNAL WITH (READPAST) "
            + " WHERE BORDEREAU = ?1 AND COMPTE_BANCAIRE = ?2";

    public static String SELECT_BON_A_PAYE_BY_CODE = "SELECT * FROM T_BON_A_PAYER WITH (READPAST) WHERE CODE = ?1";

    public static String SELECT_BON_A_PAYE_BY_AMR = "SELECT * FROM T_BON_A_PAYER WITH (READPAST) WHERE FK_AMR = ?1 AND EN_CONTENTIEUX = 1";
    
    public static String SELECT_BON_A_PAYE_BY_AMR_V2 = "SELECT * FROM T_BON_A_PAYER WITH (READPAST) "
            + "WHERE FK_AMR = ?1 AND EN_CONTENTIEUX = 0 AND ETAT = 1";

    public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V1 = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.DOCUMENT_APURE = ?1 AND J.TYPE_DOCUMENT = ?2 AND J.ETAT > 0 %s";

    public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V2 = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.PERSONNE IN (SELECT P.CODE FROM T_PERSONNE P WITH (READPAST) "
            + " WHERE P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s AND J.ETAT > 0 %s";

    public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V3 = "SELECT B.* FROM T_BORDEREAU B WITH (READPAST) "
            + " WHERE B.NUMERO_DECLARATION = ?1 AND B.ETAT > 0 %s";

    public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V3_ADVANCED = "SELECT B.* FROM T_BORDEREAU B WITH (READPAST) "
            + " WHERE B.ETAT > 0 %s %s %s %s";

    public static String SELECT_PAIEMENT_BY_ASSUJETTI_NAME = "SELECT B.* FROM T_BORDEREAU B WITH (READPAST) "
            + " WHERE B.ETAT > 0 AND "
            + " B.NOM_COMPLET IN (SELECT P.CODE FROM T_PERSONNE P WITH (READPAST) "
            + " WHERE P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s";

    public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V1_ADVANCED = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.TYPE_DOCUMENT = ?1 AND J.ETAT > 0 %s %s %s %s";

    public static String EXEC_F_JOURNAL = "EXEC F_NEW_JOURNAL ?1,?2,?3,?4,?5,?6,?7,?8,?9,?10,?11,"
            + " ?12,?13,?14,?15,?16,?17";

    public static String EXEC_F_NEW_DETAIL_BORDEREAU_V2 = ":EXEC F_NEW_DETAIL_BORDEREAU %s,?1,?2,?3,?4";
    
    public static String SELECT_JOURNAL_BY_DOCUMENT = "SELECT * FROM T_JOURNAL WITH (READPAST) WHERE DOCUMENT_APURE = ?1 AND ETAT =1";
    
    public static String SELECT_JOURNAL_BY_DOCUMENT_NON_APURE = "SELECT * FROM T_JOURNAL WITH (READPAST) WHERE DOCUMENT_APURE = ?1";
    
     public static String SELECT_PAIEMENT_NP_MAIRIE_BY_RERERENCE_DOCUMENT = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.VOLET = 1 AND J.PERSONNE IN (SELECT P.CODE FROM T_PERSONNE P WITH (READPAST) "
            + " WHERE P.NOM LIKE ?1 OR P.POSTNOM LIKE ?1 OR P.PRENOMS LIKE ?1) %s AND J.ETAT > 0 %s";
     
     public static String SELECT_PAIEMENT_NP_MAIRIE_BY_RERERENCE_DOCUMENT_V1 = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.VOLET = 1 AND J.DOCUMENT_APURE = ?1 AND J.TYPE_DOCUMENT = ?2 AND J.ETAT > 0 %s";
     
     public static String SELECT_JOURNAL_BY_DOCUMENT_V2 = "SELECT * FROM T_JOURNAL WITH (READPAST) WHERE DOCUMENT_APURE = ?1 "
             + "AND ETAT > 0 AND VOLET = 2";
     
     public static String SELECT_PAIEMENT_BY_RERERENCE_DOCUMENT_V1_ADVANCED_NPMairie = "SELECT J.* FROM T_JOURNAL J WITH (READPAST) "
            + " WHERE J.TYPE_DOCUMENT = ?1 AND VOLET = 1 AND J.ETAT > 0 %s %s %s %s";
     
     public static String EXEC_F_JOURNAL_VOLET = "EXEC F_NEW_JOURNAL_VOLET ?1,?2,?3,?4,?5,?6,?7,?8,?9,?10,?11,"
            + " ?12,?13,?14,?15,?16,?17,?18,?19";
     
     public static String LIST_PAIEMENT_NP_MAIRIE_JOURNAL_MASTER_QUERY = "SELECT a.* FROM T_JOURNAL a WITH (READPAST) "
             + "WHERE a.VOLET = 1 AND a.ETAT %s";

}
